Skip to main content
`Ctrl`+`K`

# DMGetDimPoints

Get the half-open interval for all points of a given dimension

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetDimPoints(DM dm, PetscInt dim, PetscInt *pStart, PetscInt *pEnd)

Collective

## Input Parameters

- dm - the `DM`

- dim - the dimension

## Output Parameters

- pStart - The first point of the given dimension

- pEnd - The first point following points of the given dimension

## Note

The points are vertices in the Hasse diagram encoding the topology. This is explained in https://arxiv.org/abs/0908.4427. If no points exist of this dimension in the storage scheme, then the interval is empty.

## See Also

DM Basics, `DM`, `DMPLEX`, `DMPlexGetDepthStratum()`, `DMPlexGetHeightStratum()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Implementations

DMGetDimPoints_DA() in src/dm/impls/da/dacreate.c
DMGetDimPoints_pforest() in src/dm/impls/forest/p4est/pforest.h
DMGetDimPoints_Plex() in src/dm/impls/plex/plexcreate.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages